-- oUF_BrethrenRF settings file
-- use /brf to move frames

local ADDON_NAME, ns = ...
local oUF = ns.oUF or oUF
assert(oUF, "oUF is not installed??")

-- ****** Aura timer bar values ******
-- Edit these to control the aura timer bars. Highest priority buff will be show first.
-- I generally use border and bottom for class buffs/debuffs and topBar for some boss debuffs and other timers.
-- Boss highligts can be found in the bossFilter.lua file.

-- You may set which bars accept which kind of buffs here. 
ns.auraBarTypes = {
	[1] = "HARMFUL", -- Border Bar
	[2] = "HARMFUL", -- Top Bar
	[3] = "HELPFUL", -- Bottom Bar
	[4] = "HELPFUL", -- Base Border Color
}

ns.auras = {
	-- format: [GetSpellInfo(SPELLID)] = {red,green,blue,alpha,priority,"CLASSNAME"}
	borderBar = {
		-- Priest
		[GetSpellInfo(6788)] = {.85,0,0,1,1,"PRIEST"}, -- Weakened Soul
		
	},
	
	topBar = {
		-- Shaman
		[GetSpellInfo(51945)] = {.9,.5,.1,1,1,"SHAMAN"}, -- Earthliving (change topbar to HELPFUL to have this show)
		
		-- Druid
		--[GetSpellInfo(774)] = {.9,.4,.15,1,1,"DRUID"}, -- Rejuv (change topbar to HELPFUL to have this show)
	},
	

	-- this is not a timebar, this will change to color of the lowest level border when the aura is present.
	baseBorderColor = {
		-- Priest
		[GetSpellInfo(17)] = {0.7,0.7,0.7,1,2,"PRIEST"}, -- Power Word Shield
		[GetSpellInfo(15357)] = {0.8,0.8,0.5,1,1,"PRIEST"}, -- Inspiration
		
		-- Shaman
		[GetSpellInfo(16236)] = {0.8,0.8,0.5,1,1,"SHAMAN"}, -- Ancestral Fortitude
		
		-- Paladin
		[GetSpellInfo(76669)] = {0.8,0.8,0.5,1,1,"PALADIN"}, -- Ancestral Fortitude
		
		-- Druid
		[GetSpellInfo(48504)] = {1,5,.75,1,1,"DRUID"}, -- Living Seed
		
	},

	-- format: [GetSpellInfo(SPELLID)] = {red, green, blue, alpha, priority, Text track, Stacks or Occurrences, Show on Bar, "CLASSNAME"}
	-- text track = put true if you you want the stacks or occurrences to be shown in place of the group number
	-- Text tracking will only work with HELPFUL spells. So keep that in mind when setting auraBarTypes
	-- Stacks or Occurrences = true for stacks false for occurrences
	bottomBar = {
		-- Priest
		[GetSpellInfo(47517)] = {0,.85,.85,1,3,true,true,true,"PRIEST"}, -- Grace
		[GetSpellInfo(139)] = {0,.85,0,1,2,true,false,true,"PRIEST"}, -- renew
		--[GetSpellInfo(41635)] = {.85, 0,.85,1,1,true,true,false,"PRIEST"}, -- Prayer of mending This is tracked with a special icon in the top right now
		
		-- Shaman
		[GetSpellInfo(974)] = {0,.5,0,1,3,true,true,true,"SHAMAN"}, -- Earth Shield
		[GetSpellInfo(61295)] = {0,0,.7,1,2,true,false,true,"SHAMAN"}, -- Riptide
		
		-- Druid
		[GetSpellInfo(33763)] = {.8,.8,.3,1,3,true,true,true,"DRUID"}, -- Lifebloom
		[GetSpellInfo(94447)] = {.8,.8,.3,1,4,true,true,true,"DRUID"}, -- Lifebloom (tree form)
		[GetSpellInfo(774)] = {.9,.4,.15,1,2,true,false,true,"DRUID"}, -- Rejuv
		[GetSpellInfo(8936)] = {0,.4,.15,1,1,true,false,true,"DRUID"}, -- Regrowth
		
		-- Pally
		[GetSpellInfo(53563)] = {.8,.78,.05,1,1,false,false,true,"PALADIN"} -- beacon
		
	},
}

ns.auraLists = {
	[1]=ns.auras.borderBar,
	[2]=ns.auras.topBar,
	[3]=ns.auras.bottomBar,
}

--Occurences storage, do not touch. 
ns.occurrences = {}
